Skip navigation.
Home
The QNX Community Portal

View topic - upgrade to 6.3.0SP2 failed

upgrade to 6.3.0SP2 failed

Read-only archive of qnx.public.sysadmin at inn.qnx.com

upgrade to 6.3.0SP2 failed

Postby jschmidt@farleylaserlab » Sun Oct 23, 2005 10:01 pm

Hi,
I tried to install the latest SP2 on my Neutrino 6.3.0 SP1 workstation.

half way through the installation process I got the following error:

<SNIP>
Do you wish to continue (y/n)? [n] y


Creating backup file ... 100%

Backups are in: /usr/qnx630/backups/patches/6.3.0sp2
Removing obsolete files ... 100%


head: n: invalid number of bytes
tail: n: invalid number of bytes

gzip: stdin: unexpected end of file
tar: Child returned status 1
tar: Error exit delayed from previous errors



Extraction of QNX Neutrino SDK (Core Tools) failed!


tar: Removing leading `/' from absolute path names in the archive
Restoring backed up files...10%
<\SNIP>


The MD5 checksum test I did before the installation was Ok.


Here is what I did to start the installation:

su
chmod a+x 6.3.0sp2-qnx6-20052661645.sh
../6.3.0sp2-qnx6-20052661645.sh


what went wrong?

Thanks for any help

Jens
jschmidt@farleylaserlab
New Member
 
Posts: 9
Joined: Thu Mar 03, 2005 9:30 pm

Re: upgrade to 6.3.0SP2 failed

Postby jschmidt@farleylaserlab » Tue Oct 25, 2005 10:44 pm

Is no one else having this problem? Did I do something stupid?

Thanks

Jens

Jens wrote:
Hi,
I tried to install the latest SP2 on my Neutrino 6.3.0 SP1 workstation.

half way through the installation process I got the following error:

SNIP
Do you wish to continue (y/n)? [n] y


Creating backup file ... 100%

Backups are in: /usr/qnx630/backups/patches/6.3.0sp2
Removing obsolete files ... 100%


head: n: invalid number of bytes
tail: n: invalid number of bytes

gzip: stdin: unexpected end of file
tar: Child returned status 1
tar: Error exit delayed from previous errors



Extraction of QNX Neutrino SDK (Core Tools) failed!


tar: Removing leading `/' from absolute path names in the archive
Restoring backed up files...10%
\SNIP


The MD5 checksum test I did before the installation was Ok.


Here is what I did to start the installation:

su
chmod a+x 6.3.0sp2-qnx6-20052661645.sh
./6.3.0sp2-qnx6-20052661645.sh


what went wrong?

Thanks for any help

Jens
jschmidt@farleylaserlab
New Member
 
Posts: 9
Joined: Thu Mar 03, 2005 9:30 pm

Re: upgrade to 6.3.0SP2 failed

Postby David Bacon » Sat Oct 29, 2005 12:48 pm

Do you perhaps have a GNU version of "head"
and "tail" in your PATH ahead of the QNX
versions? (Try "which -a head", "use head",
"head --help", and "head --version" for clues.
The --help and --version options won't work
on the QNX head, and the use command
won't work on the GNU head.)

dB

"Jens" <jschmidt@farleylaserlab.com.au> wrote in message
news:djmcbj$71v$1@inn.qnx.com...
Is no one else having this problem? Did I do something stupid?

Thanks

Jens

Jens wrote:
Hi,
I tried to install the latest SP2 on my Neutrino 6.3.0 SP1 workstation.

half way through the installation process I got the following error:

SNIP
Do you wish to continue (y/n)? [n] y


Creating backup file ... 100%

Backups are in: /usr/qnx630/backups/patches/6.3.0sp2
Removing obsolete files ... 100%


head: n: invalid number of bytes
tail: n: invalid number of bytes

gzip: stdin: unexpected end of file
tar: Child returned status 1
tar: Error exit delayed from previous errors



Extraction of QNX Neutrino SDK (Core Tools) failed!


tar: Removing leading `/' from absolute path names in the archive
Restoring backed up files...10%
\SNIP


The MD5 checksum test I did before the installation was Ok.


Here is what I did to start the installation:

su
chmod a+x 6.3.0sp2-qnx6-20052661645.sh
./6.3.0sp2-qnx6-20052661645.sh


what went wrong?

Thanks for any help

Jens
David Bacon
 

Re: upgrade to 6.3.0SP2 failed

Postby Colin Burgess » Sat Oct 29, 2005 12:57 pm

You should also try running the shell script with the -x option, ie

sh -x ./6.3.0sp2-qnx6-20052661645.sh

to get more debug output

David Bacon wrote:
Do you perhaps have a GNU version of "head"
and "tail" in your PATH ahead of the QNX
versions? (Try "which -a head", "use head",
"head --help", and "head --version" for clues.
The --help and --version options won't work
on the QNX head, and the use command
won't work on the GNU head.)

dB

"Jens" <jschmidt@farleylaserlab.com.au> wrote in message
news:djmcbj$71v$1@inn.qnx.com...

Is no one else having this problem? Did I do something stupid?

Thanks

Jens

Jens wrote:

Hi,
I tried to install the latest SP2 on my Neutrino 6.3.0 SP1 workstation.

half way through the installation process I got the following error:

SNIP
Do you wish to continue (y/n)? [n] y


Creating backup file ... 100%

Backups are in: /usr/qnx630/backups/patches/6.3.0sp2
Removing obsolete files ... 100%


head: n: invalid number of bytes
tail: n: invalid number of bytes

gzip: stdin: unexpected end of file
tar: Child returned status 1
tar: Error exit delayed from previous errors



Extraction of QNX Neutrino SDK (Core Tools) failed!


tar: Removing leading `/' from absolute path names in the archive
Restoring backed up files...10%
\SNIP


The MD5 checksum test I did before the installation was Ok.


Here is what I did to start the installation:

su
chmod a+x 6.3.0sp2-qnx6-20052661645.sh
./6.3.0sp2-qnx6-20052661645.sh


what went wrong?

Thanks for any help

Jens




--
cburgess@qnx.com
Colin Burgess
 

Re: upgrade to 6.3.0SP2 failed

Postby Rodney Dowdall » Mon Oct 31, 2005 1:44 pm

Hello

Can you post the cksum of the file you downloaded? Also did you
download this file to a windows box and then move it over to a QNX box?
Was it ftped from a windows box to a QNX box is ASCII mode by mistake (
because of the .sh extension )?

Thanks,
Rodney



Colin Burgess wrote:
You should also try running the shell script with the -x option, ie

sh -x ./6.3.0sp2-qnx6-20052661645.sh

to get more debug output

David Bacon wrote:

Do you perhaps have a GNU version of "head"
and "tail" in your PATH ahead of the QNX
versions? (Try "which -a head", "use head",
"head --help", and "head --version" for clues.
The --help and --version options won't work
on the QNX head, and the use command
won't work on the GNU head.)

dB

"Jens" <jschmidt@farleylaserlab.com.au> wrote in message
news:djmcbj$71v$1@inn.qnx.com...

Is no one else having this problem? Did I do something stupid?

Thanks

Jens

Jens wrote:

Hi,
I tried to install the latest SP2 on my Neutrino 6.3.0 SP1 workstation.

half way through the installation process I got the following error:

SNIP
Do you wish to continue (y/n)? [n] y


Creating backup file ... 100%

Backups are in: /usr/qnx630/backups/patches/6.3.0sp2
Removing obsolete files ... 100%


head: n: invalid number of bytes
tail: n: invalid number of bytes

gzip: stdin: unexpected end of file
tar: Child returned status 1
tar: Error exit delayed from previous errors



Extraction of QNX Neutrino SDK (Core Tools) failed!


tar: Removing leading `/' from absolute path names in the archive
Restoring backed up files...10%
\SNIP


The MD5 checksum test I did before the installation was Ok.


Here is what I did to start the installation:

su
chmod a+x 6.3.0sp2-qnx6-20052661645.sh
./6.3.0sp2-qnx6-20052661645.sh


what went wrong?

Thanks for any help

Jens




Rodney Dowdall
 

Re: upgrade to 6.3.0SP2 failed

Postby jschmidt@farleylaserlab » Tue Nov 01, 2005 11:38 pm

Thanks David and all the other for your help.

I ended up reinstalling 6.0.3 and than applied the service pack.

I guess my problem was the GNU version unfortunately the tip came to
late and I didn't think of it.

I had to do something because after the installer restored the backup
files something was wrong with the IDE it crashed all the time and half
of the icons in the toolbars where missing.

Thanks again for your help

Jens


David Bacon wrote:
Do you perhaps have a GNU version of "head"
and "tail" in your PATH ahead of the QNX
versions? (Try "which -a head", "use head",
"head --help", and "head --version" for clues.
The --help and --version options won't work
on the QNX head, and the use command
won't work on the GNU head.)

dB

"Jens" <jschmidt@farleylaserlab.com.au> wrote in message
news:djmcbj$71v$1@inn.qnx.com...

Is no one else having this problem? Did I do something stupid?

Thanks

Jens

Jens wrote:

Hi,
I tried to install the latest SP2 on my Neutrino 6.3.0 SP1 workstation.

half way through the installation process I got the following error:

SNIP
Do you wish to continue (y/n)? [n] y


Creating backup file ... 100%

Backups are in: /usr/qnx630/backups/patches/6.3.0sp2
Removing obsolete files ... 100%


head: n: invalid number of bytes
tail: n: invalid number of bytes

gzip: stdin: unexpected end of file
tar: Child returned status 1
tar: Error exit delayed from previous errors



Extraction of QNX Neutrino SDK (Core Tools) failed!


tar: Removing leading `/' from absolute path names in the archive
Restoring backed up files...10%
\SNIP


The MD5 checksum test I did before the installation was Ok.


Here is what I did to start the installation:

su
chmod a+x 6.3.0sp2-qnx6-20052661645.sh
./6.3.0sp2-qnx6-20052661645.sh


what went wrong?

Thanks for any help

Jens


jschmidt@farleylaserlab
New Member
 
Posts: 9
Joined: Thu Mar 03, 2005 9:30 pm


Return to qnx.public.sysadmin

Who is online

Users browsing this forum: No registered users and 1 guest